module.exports =
{
	"rules": {

		"flowtype/boolean-style": [ 1, "bool" ],

		"flowtype/define-flow-type": 1,

		"flowtype/delimiter-dangle": [ 1, "only-multiline" ],

		"flowtype/generic-spacing": [ 1, [ "always" ] ],

		"flowtype/no-dupe-keys": 2,

		"flowtype/no-weak-types": [ 2, {
			"any": false
		} ],

		"flowtype/object-type-delimiter": [ 2, "comma" ],

		"flowtype/require-parameter-type": [ 2, {
			"excludeArrowFunctions": "expressionsOnly"
		} ],

		"flowtype/require-return-type": [ 2, "always", {
			"annotateUndefined": "always"
		} ],

		"flowtype/require-valid-file-annotation": [ 2, "always", {
			"annotationStyle": "block"
		} ],

		"flowtype/semi": [ 2, "always" ],

		"flowtype/space-after-type-colon": [ 1, "always" ],

		"flowtype/space-before-generic-bracket": [ 1, "never" ],

		"flowtype/space-before-type-colon": [ 1, "never" ],

		"flowtype/union-intersection-spacing": [ 2, "always" ],

		"flowtype/use-flow-type": 1,

		"flowtype/valid-syntax": 1,

		"flowtype-errors/show-errors": 2

	},

	"settings": {
		"flowtype": {
			"onlyFilesWithFlowAnnotation": true
		}
	}
};